System.register("chunks:///_virtual/view.ts",["./_rollupPluginModLoBabelHelpers.js","cc"],(function(e){"use strict";var i,t,r,n,a,o,c,l;return{setters:[function(e){i=e.applyDecoratedDescriptor,t=e.inheritsLoose,r=e.initializerDefineProperty,n=e.assertThisInitialized},function(e){a=e.cclegacy,o=e._decorator,c=e.Node,l=e.Component}],execute:function(){var s,u,p,f,y;a._RF.push({},"c0485CLgI5AvL10qVSYofbn","view",void 0);var v=o.ccclass,m=o.property;e("View",(s=v("View"),u=m(c),s((y=i((f=function(e){function i(){for(var i,t=arguments.length,a=new Array(t),o=0;o<t;o++)a[o]=arguments[o];return i=e.call.apply(e,[this].concat(a))||this,r(n(i),"serializableDummy",y,n(i)),i}t(i,e);var a=i.prototype;return a.start=function(){},a.show=function(){this.serializableDummy.active=!this.serializableDummy.active},i}(l)).prototype,"serializableDummy",[u],{configurable:!0,enumerable:!0,writable:!0,initializer:function(){return null}}),p=f))||p));a._RF.pop()}}}));

System.register("chunks:///_virtual/main",["./view.ts"],(function(){"use strict";return{setters:[null],execute:function(){}}}));

(function(r) {
  r('virtual:///prerequisite-imports/main', 'chunks:///_virtual/main'); 
})(function(mid, cid) {
    System.register(mid, [cid], function (_export, _context) {
    return {
        setters: [function(_m) {
            var _exportObj = {};

            for (var _key in _m) {
              if (_key !== "default" && _key !== "__esModule") _exportObj[_key] = _m[_key];
            }
      
            _export(_exportObj);
        }],
        execute: function () { }
    };
    });
});